Skip to main content
GET
Get Agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Web Search Agent ID, format wsa_<uuid>.

Response

Successful Response

created_at
string<date-time>
required

When the agent was created.

description
string
required

Agent description shown to users.

display_name
string
required

Human-friendly agent name shown to users.

Example:

"Company News Tracker"

effort
enum<string>
required

Default effort level for this agent's runs.

Available options:
low,
medium,
high,
x-high,
max
Example:

"high"

goals
WebSearchAgentGoalResponsePublicV2 · object[]
required

Ordered goals for the agent to follow.

icon
string
required

Icon identifier used when presenting the agent.

id
string
required

Unique web search agent identifier (wsa_).

Example:

"wsa_2af5b0e2-58b8-4b60-a1a4-9e57e4d33f00"

is_active
boolean
required

Whether the agent can be used to start new runs.

output_schema
Output Schema · object | null
required

JSON schema describing the structured output the agent should produce.

skill
string
required

Skill or operating context for the agent.

sources
AgentSourcesResponsePublicV2 · object
required

Source guidance for the agent.

suggested_questions
WebSearchAgentSuggestedQuestionResponsePublicV2 · object[]
required

Suggested prompts users can run with this agent.

updated_at
string<date-time>
required

When the agent was last updated.

use_case
enum<string>
required

Primary use case supported by the agent.

Available options:
research,
enrichment,
dataset_building
Example:

"research"

agent_name
string | null

Stable agent name.